Summary:	Ban IPs that make too many password failures
Summary(pl.UTF-8):	Blokowanie IP powodujących zbyt dużo prób logowań z błędnym hasłem
Name:		fail2ban
Version:	0.8.4
Release:	4
License:	GPL
Group:		Daemons
Source0:	http://dl.sourceforge.net/fail2ban/%{name}-%{version}.tar.bz2
# Source0-md5:	df94335a5d12b4750869e5fe350073fa
Source1:	%{name}.init
Source2:	%{name}.tmpfiles
Patch0:		%{name}-CVE-2009-5023.patch
URL:		http://fail2ban.sourceforge.net/
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires(post,preun):	/sbin/chkconfig
Requires:	python-log4py
Requires:	rc-scripts
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fail2Ban scans log files like /var/log/secure and bans IP that makes
too many password failures. It updates firewall rules to reject the IP
address. These rules can be defined by the user. Fail2Ban can read
multiple log files including sshd or Apache web server logs.

%description -l pl.UTF-8
Fail2Ban skanuje pliki logów takie jak /var/log/secure i blokuje IP
powodujące zbyt dużo prób logowań z błędnym hasłem. Uaktualnia regułki
firewalla, aby odrzucić adres IP. Regułki te mogą być definiowane
przez użytkownika. Fail2Ban potrafi czytać wiele plików logów włącznie
z sshd czy plikami logów serwera WWW Apache.

%prep
%setup -q
%patch0 -p1
rm setup.cfg

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/rc.d/init.d \
	$RPM_BUILD_ROOT%{_mandir}/man1 \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

PYTHONPATH=$RPM_BUILD_ROOT%{py_sitescriptdir}; export PYTHONPATH

%{__python} setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/fail2ban
install man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

install %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc ChangeLog README TODO COPYING
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(755,root,root) %{_bindir}/%{name}-*
/usr/lib/tmpfiles.d/%{name}.conf
%dir /var/run/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*
%{py_sitescriptdir}/*
%{_mandir}/man1/*
%changelog
* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> 57e0092
- release 4

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> fad935e
- added tmpfiles config for systemd

* Mon Jan 30 2012 Jan Rękorajski <baggins@pld-linux.org> c6c4478
- add systemd tmpfiles config

* Tue May 03 2011 marti <marti@pld-linux.org> e725c09
- added patch closing CVE-2009-5023

* Tue May 03 2011 marti <marti@pld-linux.org> 22d8bc2
- patch closing CVE-2009-5023

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ea0de53
- release 2

* Mon Dec 14 2009 dzeus <dzeus@pld-linux.org> 390ce55
- up to 0.8.4

* Thu Oct 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 823ffa1
- fixed and updated init script, cleanups

* Thu Oct 23 2008 Jakub Bogusz <qboosh@pld-linux.org> 84d3e7a
- fixed/updated

* Wed Oct 22 2008 yaro <yaro@pld-linux.org> 8a5385b
- fixed typos

* Wed Oct 22 2008 yaro <yaro@pld-linux.org> ef189e0
- updated to 0.8.3

* Wed Oct 22 2008 yaro <yaro@pld-linux.org> 140a066
New file

* Fri Jun 13 2008 sardzent <sardzent@pld-linux.org> 4e631b7
- added missing BR

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> f4d4d19
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2312737
- converted to UTF-8

* Sun Apr 16 2006 Elan Ruusamäe <glen@pld-linux.org> 56c86c9
- fix chkconfig, rc-scripts deps

* Sat Dec 31 2005 Elan Ruusamäe <glen@pld-linux.org> ddeb030
- alter source files in prep
- use %py_postclean

* Sat Dec 31 2005 Elan Ruusamäe <glen@pld-linux.org> 80cab97
- BR python-devel for /usr/lib64/python2.4/config/Makefile

* Mon Dec 19 2005 Jakub Bogusz <qboosh@pld-linux.org> cac3769
- pl, verify() for config

* Thu Dec 15 2005 darekr <darekr@pld-linux.org> 3f2a7d0
- cosmetics, fix perms for init script

